## ETableSubsetVariable

ETableSubsetVariable

## Functions

ETableModel * | e_table_subset_variable_new ()
ETableModel * | e_table_subset_variable_construct ()
void | e_table_subset_variable_add ()
void | e_table_subset_variable_add_array ()
void | e_table_subset_variable_add_all ()
gboolean | e_table_subset_variable_remove ()
void | e_table_subset_variable_clear ()
void | e_table_subset_variable_increment ()
void | e_table_subset_variable_decrement ()
void | e_table_subset_variable_set_allocation ()

## Types and Values

struct | ETableSubsetVariable

## Description

## Functions

### e_table_subset_variable_new ()

    ETableModel *
    e_table_subset_variable_new (ETableModel *etm);

### e_table_subset_variable_construct ()

    ETableModel *
    e_table_subset_variable_construct (ETableSubsetVariable *etssv,
                                       ETableModel *source);

### e_table_subset_variable_add ()

    void
    e_table_subset_variable_add (ETableSubsetVariable *ets,
                                 gint row);

### e_table_subset_variable_add_array ()

    void
    e_table_subset_variable_add_array (ETableSubsetVariable *ets,
                                       const gint *array,
                                       gint count);

### e_table_subset_variable_add_all ()

    void
    e_table_subset_variable_add_all (ETableSubsetVariable *ets);

### e_table_subset_variable_remove ()

    gboolean
    e_table_subset_variable_remove (ETableSubsetVariable *ets,
                                    gint row);

### e_table_subset_variable_clear ()

    void
    e_table_subset_variable_clear (ETableSubsetVariable *ets);

### e_table_subset_variable_increment ()

    void
    e_table_subset_variable_increment (ETableSubsetVariable *ets,
                                       gint position,
                                       gint amount);

### e_table_subset_variable_decrement ()

    void
    e_table_subset_variable_decrement (ETableSubsetVariable *ets,
                                       gint position,
                                       gint amount);

### e_table_subset_variable_set_allocation ()

    void
    e_table_subset_variable_set_allocation
                                   (ETableSubsetVariable *ets,
                                    gint total);

## Types and Values

### struct ETableSubsetVariable

    struct ETableSubsetVariable {
    	ETableSubset parent;
    	gint n_vals_allocated;
    };